Plugin asset compilation through Rails pipeline does not handle image/asset urls in SCSS files

correctly
Description

Associated revisions

Revision 7d36ad77 - 06/06/2018 11:29 AM - Eric Helms

Fixes #23764: Ensure proper plugin asset generation for SCSS

If image-url or asset-url are used in SCSS then they are not properly

generated for plugins. This change has the nice side effect of

both simplifying the code and re-using the existing Rails and Sprockets

environments as much as possible.

History

#1 - 05/31/2018 09:25 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5631 added

#2 - 06/06/2018 12:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7d36ad773350d15b0e3209f43ef5798b00a8aa78.

#3 - 06/11/2018 06:42 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5677 added
